myapps:
  storage:
    root: d://obpm-demo
  siteid:
  feign-path: /obpm
  refresh:
    cache:
      monitor:
        types: Created,Changed
      profile: v5qytest_local
server:
  port: 8082
  tomcat:
    uri-encoding: UTF-8
  servlet:
    context-path: /designer
    session:
      timeout: 3600
    jsp:
      init-parameters:
        development: true
spring:
  mvc:
    view:
      prefix: /
      suffix: .jsp
    static-path: /**
    pathmatch:
      matching-strategy: ANT_PATH_MATCHER
  http:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
  application:
    name: obpm-designer
  cloud:
    consul:
      discovery:
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${random.uuid}
        prefer-ip-address: true
        health-check-interval: 10s
        health-check-path: /designer/actuator/health
        hostname: ${spring.application.name}
        service-name: ${spring.application.name}
        enabled: true
      host: 127.0.0.1
      port: 8500
  # 数据库访问配置(DB-TYPE大小写敏感)
  resources:
    static-locations: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,/
  #Redis服务器地址
  redis:
    host: 49.4.21.141
    port: 6379
    password: Bcx#2023
    lettuce: # redis连接池配置
      pool:
        max-active: -1 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1ms # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 8 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0
feign:
  client:
    config:
      default:
        connect-timeout: 60000
        read-timeout: 60000 #设置远程调用超时时间
ribbon:
  ReadTimeout: 20000
  ConnectTimeout: 20000